/*
Title: Screen styles
Author: Matthew Mesaros (mesaros.creative@gmail.com)
*/

/* =RESET
----------------------------------------------- */
* {
	box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    vertical-align: baseline;
    background: transparent;
    list-style: none;
    font-size: 100%;
    font-style: normal;
    z-index: 1;
}

blockquote, q {
    quotes: none;
}

:focus {
	outline: 0;
}

table {
	border-collapse: collapse;
	border-spacing: 0;
}

/* =FLOAT CLEAR
----------------------------------------------- */
.group:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

.group { display: inline-block; }

/* Hides from IE-mac \*/
* html .group { height: 1%; } /* IE6 */
*:first-child+html .group { min-height: 1px; } /* IE7 */
/* End hide from IE-mac */

/* =LINKS
----------------------------------------------- */
a:link, a:visited {
    color: #FFF;
    display: block;
    text-decoration: none;
}

/* =GLOBAL
----------------------------------------------- */
body {
    color: #333;
    font-family: "jubilat";
    font-size: 100%;
    font-weight: 300;
    height: auto;
    line-height: 1.45;
    position: relative;
    width: 100%;
}

#container {
    display: block;
    position: relative;
    width: 100%;
}

section, footer {
    background: #202120;
    display: block;
    height: 100%;
    position: relative;
    text-align: center;
}

section article a {
    color: rgba(239,108,68,0.9);
}

section article a:hover {
    color: rgba(239,108,68,1);
}

h1, h2, h3, h4 {
    color: #FFF;
    font-family: "prenton-ultra-condensed";
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    -webkit-transform-style: preserve-3d; 
}

.wrapper {
    left: 50%;
    position: relative;
    top: 20%;
    -webkit-transform: translate(-50%);
    -moz-transform: translate(-50%);
    transform: translate(-50%);
}

h1 {
    color: #333;
    font-size: 6em;
    font-weight: 500;
    line-height: 1;
    text-transform: uppercase;
}

h2 {
    color: #333;
    font-size: 2em;
    font-weight: 500;
    letter-spacing: 2px;
    line-height: 1;
    padding: 5px 0;
    position: relative;
    text-transform: uppercase;
}

h2 span {
    color: #FFF;
}

h3 {
    font-size: 3em;
    font-weight: 500;
    margin: 10px 0;
    padding: 5px 0;
    position: relative;
    text-align: center;
    text-transform: uppercase;
}

h4 {
    display: inline-block;
    font-family: "prenton-condensed";
    font-size: 2em;
    font-weight: 100;
}

img {
    height: auto;
    max-width: 100%;
}

p {
    margin-bottom: 1em;
}

/* =COLUMNS
----------------------------------------------- */
.col-6 {
    width: 1204px !important;
}

.col-1 {
    padding-right: 20px;
    width: 184px;
}

.col-1:last-child {
    padding-right: 0!important;
}

.col-2 {
    padding-right: 20px!important;
    width: 388px;
}

/* =NAVIGATION
----------------------------------------------- */



.currentHash::after { width: 100%; }

/* =HOME
----------------------------------------------- */
#home {
    background: url(../images/mountain.jpg) no-repeat bottom #F19726;
    background-size: cover;
    height: 100vh;
    position: relative;
    text-align: center;
    width: 100%;
}

.anchor {
    background: url(../icons/arrowdown.svg) no-repeat center;
    background-size: cover;
    height: 30px;
    margin: 20px auto 0;
    width: 60px;
}

#container > nav {
    background: hsl(50, 12%, 90%);
    box-shadow: 0 0 1px rgba(0,0,0,0.2);
    height: 100%;
    position: absolute;
    -webkit-transform: translateX(-160px);
    -moz-transform: translateX(-160px);
    transform: translateX(-160px);
    -webkit-transition: 0.3s ease;
    width: 160px;
    z-index: 9999;
}

#container > nav ul {
    padding-top: 220px;
}

#container > nav ul li {
    border-bottom: 1px solid hsl(50, 12%, 96%);
}

#container > nav ul li:first-child {
    border-top: 1px solid hsl(50, 12%, 96%);
}

#container > nav ul li a {
    background: hsla(50, 12%, 40%,0.1);
    color: hsla(50, 12%, 40%,0.99)!important;
    display: block;
    font-weight: 600;
    padding: 1em 30px;
    text-align: left;
    -webkit-transition: 0.2s ease;
}

#container > nav ul li a:hover {
    background: hsla(50, 12%, 40%,0.3);
    color: #FFF!important;
}

img[src*="mark"] {
    background: #F19726;
    margin-bottom: 10px;
    padding: 20px;
    width: 100px;
    z-index: 99999;
}

img[src*="mark"]:hover + nav, nav:hover {
    -webkit-transform: translateX(0)!important;
    -moz-transform: translateX(0)!important;
    transform: translateX(0)!important;
}

.social {
    position: absolute;
    right: 50px;
    top: 50px;
    width: 180px;
}

.social li {
    display: block;
    float: right;
    padding-left: 10px;
    width: 33.3%;
}

.social li a {
    display: block;
    opacity: 0.5;
}

.social li a:hover {
    opacity: 1;
}

.profile {
    background-image: url(../images/mattprofile.jpg)!important;
}

/* =WORK
----------------------------------------------- */
.green {
    border-top: 10px solid hsl(149, 73%, 39%);
}

.blue {
    border-top: 10px solid hsl(210, 99%, 34%);
}

#work {
    background: hsl(220, 7%, 9%)!important;
    position: relative;
    text-align: left;
}

#work article {
    width: 100%;
}

#work article h3 {
    border-bottom: 1px solid rgba(255,255,255,0.6);
}

#work article ul {
    margin: 0 auto;
    width: 100%;
}

#work article ul li {
    color: #333;
    cursor: pointer;
    display: block;
    float: left;
    max-width: 33.33333%;
    width: 33.33333%;
}

.overlay h3 {
    bottom: -10px;
    color: rgba(255,255,255,0.8);
    display: block;
    font-family: "prenton-ultra-condensed";
    font-size: 2em;
    font-weight: 500;
    left: 0;
    letter-spacing: 1px;
    line-height: 1;
    padding: 10px 20px;
    position: absolute;
    text-align: left;
    width: 100%;
    -webkit-transition: all 0.3s ease;
    z-index: 9999999;
}

.overlay h3 span {
    font-family: "prenton-condensed";
    font-size: 0.75em;
    font-weight: 300;
    letter-spacing: normal;
    text-transform: none;
    -webkit-transition: 0.3s ease;
}

.img-wrap {
    position: relative;
}

.img-wrap img {
    display: block;
    -webkit-filter: grayscale(100%);
    filter: url("data:image/svg+xml;utf8,<svg xmlns=\'http://www.w3.org/2000/svg\'><filter id=\'grayscale\'><feColorMatrix type=\'matrix\' values=\'0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0.3333 0.3333 0.3333 0 0 0 0 0 1 0\'/></filter></svg>#grayscale"); /* Firefox 10+, Firefox on Android */
    filter: gray; /* IE6-9 */
    -webkit-transition: 1s ease;
    width: 100%;
}

.overlay { 
    background: hsla(0, 0%, 13%, 0.8);
    bottom: 0;
    left: 0;
    overflow: hidden;
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    z-index: 99999;
    -webkit-transition: 0.2s ease;
    transition: 0.2s ease;
    -webkit-backface-visibility: hidden;
}

.overlay:hover {
    background: hsla(0, 0%, 13%, 0);
}

.overlay:hover a[rel="external"] {
    -webkit-transform: translate(0, -50%);
    -moz-transform: translate(0, -50%);
    transform: translate(0, -50%);
    top: 50%;
}

.overlay:hover a.item-link {
    -webkit-transform: translate(0, 50%);
    -moz-transform: translate(0, 50%);
    transform: translate(0, 50%);
    bottom: 50%;
}

.overlay a {
    height: 100%;
    padding: 4px;
    position: absolute;
    text-indent: -9999px;
    width: 50%;
    -webkit-transition: 0.2s ease all;
    transition: 0.2s ease all;
}

.overlay a:hover {
    background-color: hsl(33, 88%, 55%)!important;
    background-size: 35%!important;
}

.overlay a[rel="external"] {
    background: hsla(0, 0%, 13%, 0.99) url(../images/externalLink.svg) no-repeat center;
    background-size: 25%;
    left: 0;
    top: -100%;
}

.overlay a.item-link {
    background: hsla(0, 0%, 13%, 0.99) url(../images/infoLink.svg) no-repeat center;
    background-size: 25%;
    bottom: -200%;
    right: 0;
}

.close {
    background: url(../images/closeLink.svg) no-repeat center;
    background-size: 60%;
    border: 4px solid #EEE;
    border-radius: 360px;
    cursor: pointer;
    display: block;
    height: 25px;
    padding: 16px;
    position: absolute;
    top: 60px;
    right: 60px;
    width: 25px;
    z-index: 999;
    -webkit-transform: rotate(45deg);
}

#work aside {
    left: 0;
    position: relative;
    top: 0;
    width: 100%;
    z-index: 999;
}

#work aside nav {
    height: 100%;
}

#work aside nav h4 {
    left: 20px;
    line-height: 80px;
    position: absolute;
    top: 0;
}

#work aside nav ul {
    margin-left: 10em;
}

#work aside nav ul li {
    color: #FFF;
    display: inline;
    float: left;
    font-family: "prenton-condensed";
    font-size: 1.5em;
    line-height: 80px;
    padding-right: 2em;
}

/* =ABOUT SECTION
----------------------------------------------- */
#about {
    background: #202120;
    bottom: 0;
    overflow: hidden;
    position: fixed;
    left: -400px;
    top: 0;
    width: 400px;
    z-index: 9999;
}

#about ul li {
    display: inline-block;
    height: 100px;
    width: 50%;
}

/* =FOOTER SECTION
----------------------------------------------- */
footer {
    background: #212121;
    height: auto;
    width: 100%;
}

@media only screen
and (max-width: 1350px) {
    
    #about p {
        font-size: 1em;
    }
    
    
    
}


@media only screen
and (max-width: 1024px) {

    #work article ul li {
        color: #333;
        cursor: pointer;
        display: block;
        float: left;
        max-width: 50%;
        width: 50%;
    }

}

@media only screen
and (max-width: 620px) {

    #work article ul li {
        color: #333;
        cursor: pointer;
        display: block;
        float: left;
        max-width: 100%;
        width: 100%;
    }

}
